{include="header"}

{if="$fsc->cliente_s"}
{include="block/nueva_venta"}
{elseif="!$fsc->user->get_agente()"}
<div class="container-fluid">
    <div class="row">
        <div class="col-sm-12">
            <div class="page-header">
                <h1>
                    <span class="glyphicon glyphicon-exclamation-sign"></span>
                    No tienes un empleado asociado
                </h1>
            </div>
            <p class="help-block">
                No tienes un emleado asociado a tu <a href="{$fsc->user->url()}">usuario</a>.
                Habla con el administrador para que te asigne un empleado.
            </p>
            <p class="help-block">
                Si crees que es un error de FacturaScripts, haz clic en el botón de ayuda,
                arriba a la derecha, e infórmanos del error.
            </p>
        </div>
    </div>
</div>
{else}
<script type="text/javascript" src="{$fsc->get_js_location('provincias.js')}"></script>
<script type="text/javascript">
    $(document).ready(function () {
        $("#modal_cliente").modal('show');
        document.f_nueva_venta.ac_cliente.focus();

        $("#ac_cliente").autocomplete({
            serviceUrl: '{$fsc->url()}',
            paramName: 'buscar_cliente',
            onSelect: function (suggestion) {
                if (suggestion) {
                    if (document.f_nueva_venta.cliente.value != suggestion.data) {
                        document.f_nueva_venta.cliente.value = suggestion.data;
                    }
                }
            }
        });
    });
</script>

<div class="modal" id="modal_cliente">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">
                    <span class="glyphicon glyphicon-search"></span>
                    &nbsp; Selecciona el cliente
                </h4>
                <p class="help-block">
                    Busca y selecciona el cliente o bien crea uno nuevo usando
                    el recuadro en azul. Además, puedes cambiar las
                    <a href="index.php?page=ventas_clientes_opciones">opciones para nuevos clientes</a>.
                </p>
            </div>
            <div class="modal-body">

                <!-- lleva a factura --> 
                <form name="f_nueva_venta" action="{$fsc->url()}" method="post" class="form">
                    <input type="hidden" name="cliente"/>
                    <div class="form-group">
                        <div class="input-group">
                            <input class="form-control" type="text" name="ac_cliente" id="ac_cliente" placeholder="Buscar" autocomplete="off"/>
                            <span class="input-group-btn">
                                <button class="btn btn-primary" type="submit" onclick="this.disabled = true;this.form.submit();">
                                    <span class="glyphicon glyphicon-share-alt"></span>
                                </button>
                            </span>
                        </div>
                    </div>
                </form>

            </div>
            <div class="modal-body bg-info">
                <form action="{$fsc->url()}" method="post" class="form-horizontal">
                    <input type="hidden" name="cliente"/>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Nombre</label>
                        <div class="col-sm-10">
                            <input type="text" name="nuevo_cliente" class="form-control" placeholder="Nuevo cliente" autocomplete="off" required=""/>
                        </div>
                    </div>
                    <!--{$form_class=''}-->
                    {if="$fsc->nuevocli_setup['nuevocli_cifnif_req']"}<!--{$form_class=' has-warning'}-->{/if}
                    <div class="form-group{$form_class}">
                        <label class="col-sm-2 control-label">{#FS_CIFNIF#}</label>
                        <div class="col-sm-3">
                            <select name="nuevo_tipoidfiscal" class="form-control">
                                <!--{$tiposid=fs_tipos_id_fiscal()}-->
                                {loop="$tiposid"}
                                <option value="{$value}">{$value}</option>
                                {/loop}
                            </select>
                        </div>
                        <div class="col-sm-7">
                            {if="$fsc->nuevocli_setup['nuevocli_cifnif_req']"}
                            <input type="text" name="nuevo_cifnif" class="form-control" maxlength="30" autocomplete="off" required=""/>
                            {else}
                            <input type="text" name="nuevo_cifnif" class="form-control" maxlength="30" autocomplete="off"/>
                            {/if}
                            <label class="checkbox-inline">
                                <input type="checkbox" name="personafisica" value="TRUE" checked=""/> Persona física (no empresa)
                            </label>
                        </div>
                    </div>
                    {if="$fsc->grupo->all()"}
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Grupo</label>
                        <div class="col-sm-10">
                            <select name="codgrupo" class="form-control">
                                <option value="">Ninguno</option>
                                <option value="">------</option>
                                {loop="$fsc->grupo->all()"}
                                {if="$value->codgrupo==$fsc->nuevocli_setup['nuevocli_codgrupo']"}
                                <option value="{$value->codgrupo}" selected="">{$value->nombre}</option>
                                {else}
                                <option value="{$value->codgrupo}">{$value->nombre}</option>
                                {/if}
                                {/loop}
                            </select>
                        </div>
                    </div>
                    {/if}
                    {if="$fsc->nuevocli_setup['nuevocli_telefono1']"}
                    <!--{$form_class=''}-->{if="$fsc->nuevocli_setup['nuevocli_telefono1_req']"}<!--{$form_class=' has-warning'}-->{/if}
                    <div class="form-group{$form_class}">
                        <label class="col-sm-2 control-label">Teléfono 1</label>
                        <div class="col-sm-10">
                            {if="$fsc->nuevocli_setup['nuevocli_telefono1_req']"}
                            <input type="text" name="nuevo_telefono1" class="form-control" autocomplete="off" required=""/>
                            {else}
                            <input type="text" name="nuevo_telefono1" class="form-control" autocomplete="off"/>
                            {/if}
                        </div>
                    </div>
                    {/if}
                    {if="$fsc->nuevocli_setup['nuevocli_telefono2']"}
                    <!--{$form_class=''}-->{if="$fsc->nuevocli_setup['nuevocli_telefono2_req']"}<!--{$form_class=' has-warning'}-->{/if}
                    <div class="form-group{$form_class}">
                        <label class="col-sm-2 control-label">Teléfono 2</label>
                        <div class="col-sm-10">
                            {if="$fsc->nuevocli_setup['nuevocli_telefono2_req']"}
                            <input type="text" name="nuevo_telefono2" class="form-control" autocomplete="off" required=""/>
                            {else}
                            <input type="text" name="nuevo_telefono2" class="form-control" autocomplete="off"/>
                            {/if}
                        </div>
                    </div>
                    {/if}
                    {if="$fsc->nuevocli_setup['nuevocli_email']"}
                    <!--{$form_class=''}-->{if="$fsc->nuevocli_setup['nuevocli_email_req']"}<!--{$form_class=' has-warning'}-->{/if}
                    <div class="form-group{$form_class}">
                        <label class="col-sm-2 control-label">E-mail</label>
                        <div class="col-sm-10">
                            {if="$fsc->nuevocli_setup['nuevocli_email_req']"}
                            <input type="text" name="nuevo_email" class="form-control" autocomplete="off" required=""/>
                            {else}
                            <input type="text" name="nuevo_email" class="form-control" autocomplete="off"/>
                            {/if}
                        </div>
                    </div>
                    {/if}
                    {if="$fsc->nuevocli_setup['nuevocli_pais']"}
                    <!--{$form_class=''}-->{if="$fsc->nuevocli_setup['nuevocli_pais_req']"} has-warning{/if}
                    <div class="form-group{$form_class}">
                        <label class="col-sm-2 control-label">
                            <a href="{$fsc->pais->url()}">País</a>
                        </label>
                        <div class="col-sm-10">
                            <select class="form-control" name="nuevo_pais">
                                {loop="$fsc->pais->all()"}
                                {if="$value->is_default()"}
                                <option value="{$value->codpais}" selected="">{$value->nombre}</option>
                                {else}
                                <option value="{$value->codpais}">{$value->nombre}</option>
                                {/if}
                                {/loop}
                            </select>
                        </div>
                    </div>
                    {/if}
                    {if="$fsc->nuevocli_setup['nuevocli_provincia']"}
                    <!--{$form_class=''}-->{if="$fsc->nuevocli_setup['nuevocli_provincia_req']"}<!--{$form_class=' has-warning'}-->{/if}
                    <div class="form-group{$form_class}">
                        <label class="col-sm-2 control-label text-capitalize">{#FS_PROVINCIA#}</label>
                        <div class="col-sm-10">
                            {if="$fsc->nuevocli_setup['nuevocli_provincia_req']"}
                            <input type="text" name="nuevo_provincia" id="ac_provincia" class="form-control" autocomplete="off" required=""/>
                            {else}
                            <input type="text" name="nuevo_provincia" value="{$fsc->empresa->provincia}" id="ac_provincia" class="form-control" autocomplete="off"/>
                            {/if}
                        </div>
                    </div>
                    {/if}
                    {if="$fsc->nuevocli_setup['nuevocli_ciudad']"}
                    <!--{$form_class=''}-->{if="$fsc->nuevocli_setup['nuevocli_ciudad_req']"}<!--{$form_class=' has-warning'}-->{/if}
                    <div class="form-group{$form_class}">
                        <label class="col-sm-2 control-label">Ciudad</label>
                        <div class="col-sm-10">
                            {if="$fsc->nuevocli_setup['nuevocli_ciudad_req']"}
                            <input type="text" name="nuevo_ciudad" class="form-control" required=""/>
                            {else}
                            <input type="text" name="nuevo_ciudad" value="{$fsc->empresa->ciudad}" class="form-control"/>
                            {/if}
                        </div>
                    </div>
                    {/if}
                    {if="$fsc->nuevocli_setup['nuevocli_codpostal']"}
                    <!--{$form_class=''}-->{if="$fsc->nuevocli_setup['nuevocli_codpostal_req']"}<!--{$form_class=' has-warning'}-->{/if}
                    <div class="form-group{$form_class}">
                        <label class="col-sm-2 control-label">Código Postal</label>
                        <div class="col-sm-10">
                            {if="$fsc->nuevocli_setup['nuevocli_codpostal_req']"}
                            <input type="text" name="nuevo_codpostal" class="form-control" required=""/>
                            {else}
                            <input type="text" name="nuevo_codpostal" value="{$fsc->empresa->codpostal}" class="form-control"/>
                            {/if}
                        </div>
                    </div>
                    {/if}
                    {if="$fsc->nuevocli_setup['nuevocli_direccion']"}
                    <!--{$form_class=''}-->{if="$fsc->nuevocli_setup['nuevocli_direccion_req']"}<!--{$form_class=' has-warning'}-->{/if}
                    <div class="form-group{$form_class}">
                        <label class="col-sm-2 control-label">Dirección</label>
                        <div class="col-sm-10">
                            {if="$fsc->nuevocli_setup['nuevocli_direccion_req']"}
                            <input type="text" name="nuevo_direccion" class="form-control" autocomplete="off" required=""/>
                            {else}
                            <input type="text" name="nuevo_direccion" value="C/ " class="form-control" autocomplete="off"/>
                            {/if}
                        </div>
                    </div>
                    {/if}
                    <div class="text-right">
                        <button class="btn btn-sm btn-primary" type="submit">
                            <span class="glyphicon glyphicon-floppy-disk"></span>&nbsp; Guardar y seleccionar
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="container-fluid">
    <div class="row">
        <div class="col-sm-12">
            <div class="page-header">
                <h1>Paso 1:</h1>
            </div>
            <p>Selecciona el cliente al que quieres realizar la venta.</p>
            <a href="#" class="btn btn-sm btn-default" data-toggle="modal" data-target="#modal_cliente">
                <span class="glyphicon glyphicon-search"></span>&nbsp; Selecciona el cliente
            </a>
            <div class="page-header">
                <h2>Paso 2:</h2>
            </div>
            <p>Introduce línea a línea todos los artículos de la venta.</p>
            <div class="page-header">
                <h2>Paso 3:</h2>
            </div>
            <p>Pulsa el botón guardar.</p>
        </div>
    </div>
</div>
{/if}

{include="footer"}